"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.confirmRun = void 0;
const run_1 = require("./run");
const confirmRun = async ({ ctx, input, io, plan, listener, }) => {
    if (!ctx.autoConfirmEnabled && !(await io.confirmRun(plan))) {
        input.timer.stop();
        return {
            timer: input.timer,
            success: true,
            status: "CANCELLED",
            message: "Cancelled",
            outputFormat: input.outputFormat,
            result: undefined,
        };
    }
    return run_1.run({ io, input, plan, ctx, listener });
};
exports.confirmRun = confirmRun;
//# sourceMappingURL=confirm.js.map